/* mnote-hp-data.c
 *
 * Copyright  2002 Lutz Mller <lutz@users.sourceforge.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details. 
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include "config.h"
#include "mnote-hp-data.h"

#include <stdlib.h>
#include <string.h>

static void
mnote_hp_data_free (MNoteData *n)
{
	MNoteHPData *note = (MNoteHPData *) n;

	note = NULL;
}

static char *
mnote_hp_data_get_value (MNoteData *n, MNoteTag t)
{
	MNoteHPData *note = (MNoteHPData *) n;

	note = NULL;

	return (NULL);
}

static void
mnote_hp_data_save_data (MNoteData *n, unsigned char **data,
			   unsigned int *size)
{
	MNoteHPData *note = (MNoteHPData *) n;

	note = NULL;
}

static void
mnote_hp_data_load_data (MNoteData *n, const unsigned char *data,
			   unsigned int size)
{
	MNoteHPData *note = (MNoteHPData *) n;

	/* Notes start with 'HP'... */
	if ((size < 2) || memcmp (data, "HP", 2))
		return;

	/* ... and finish with 0xff 0xff. */
	if ((size < 4) || (data[size - 2] != 0xff) ||
			  (data[size - 1] != 0xff))
		return;

	note = NULL;
}

MNoteData *
mnote_hp_data_new (void)
{
	MNoteHPData *note;

	note = malloc (sizeof (MNoteHPData));
	if (!note)
		return (NULL);
	mnote_data_construct ((MNoteData *) note);
	((MNoteData *) note)->methods.free = mnote_hp_data_free;
	((MNoteData *) note)->methods.load_data = mnote_hp_data_load_data;
	((MNoteData *) note)->methods.save_data = mnote_hp_data_save_data;
	((MNoteData *) note)->methods.get_value = mnote_hp_data_get_value;

	return ((MNoteData *) note);
}
