/* mnote-olympus-entry.h
 *
 * Copyright  2002 Lutz Mller <lutz@users.sourceforge.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details. 
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __MNOTE_OLYMPUS_ENTRY_H__
#define __MNOTE_OLYMPUS_ENTRY_H__

#include <libexif/exif-format.h>
#include <libmnote/olympus/mnote-olympus-tag.h>

typedef struct _MNoteOlympusEntry        MNoteOlympusEntry;
typedef struct _MNoteOlympusEntryPrivate MNoteOlympusEntryPrivate;

#include <libmnote/olympus/mnote-olympus-data.h>

struct _MNoteOlympusEntry {
	MNoteOlympusTag tag;
	ExifFormat format;
	unsigned long components;

	unsigned char *data;
	unsigned int size;

	/* Note containing this entry */
	MNoteOlympusData *parent;

	MNoteOlympusEntryPrivate *priv;
};

/* Lifecycle */
MNoteOlympusEntry *mnote_olympus_entry_new   (void);
void              mnote_olympus_entry_ref   (MNoteOlympusEntry *entry);
void              mnote_olympus_entry_unref (MNoteOlympusEntry *entry);
void              mnote_olympus_entry_free  (MNoteOlympusEntry *entry);

char *mnote_olympus_entry_get_value (MNoteOlympusEntry *entry);

#endif /* __MNOTE_OLYMPUS_ENTRY_H__ */
