#include <stdio.h>

#include <libexif/exif-data.h>

#include <libmnote/mnote-data.h>

int
main (int argc, char **argv)
{
	ExifData *ed;
	ExifEntry *e;
	MNoteData *md;

	if (argc < 2) {
		fprintf (stderr, "You need to supply a file!\n");
		return (1);
	}

	ed = exif_data_new_from_file (argv[1]);
	if (!ed) {
		fprintf (stderr, "Could not retreive EXIF data from '%s'!\n",
			 argv[1]);
		exif_data_unref (ed);
		return (1);
	}

	e = exif_content_get_entry (ed->ifd[EXIF_IFD_EXIF],
				    EXIF_TAG_MAKER_NOTE);
	if (!e) {
		fprintf (stderr, "IFD 'EXIF' does not contain a tag "
			 "MakerNote!\n");
		exif_data_unref (ed);
		return (1);
	}

	md = mnote_data_new_from_data (e->data, e->size);
	exif_data_unref (ed);

	if (!md) {
		fprintf (stderr, "Could not parse EXIF tag MakerNote!\n");
		return (1);
	}

	mnote_data_dump (md, 0);
	mnote_data_unref (md);

	return (0);
}
